﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Benday.CodedUi2012.WebSamples.Mvc4WebUi.Models
{
    public class ListControlsModel
    {
        public ListControlsModel()
        {
            ComboboxMessage = "(not set)";
            CheckboxMessage = "(not set)";
            ListboxMessage = "(not set)";
        }

        [DisplayName("The Combobox Value")]
        public string ComboboxMessage { get; set; }

        private SingleSelectListModel m_Combobox;
        [DisplayName("Combo Box")]
        public SingleSelectListModel Combobox
        {
            get
            {
                if (m_Combobox == null)
                {
                    m_Combobox = new SingleSelectListModel();
                    m_Combobox.Initialize();
                }
                                
                return m_Combobox;
            }
        }

        [DisplayName("The Summary Message")]
        public string Message { get; set; }

        [DisplayName("The Checkbox Value")]
        public string CheckboxMessage { get; set; }

        [DisplayName("Check Box")]
        public bool IsCheckboxSelected { get; set; }

        [DisplayName("The Listbox Value")]
        public string ListboxMessage { get; set; }

        private MultiSelectListModel m_Listbox;
        [DisplayName("List Box")]
        public MultiSelectListModel Listbox
        {
            get
            {
                if (m_Listbox == null)
                {
                    m_Listbox = new MultiSelectListModel();
                    m_Listbox.Initialize();
                }

                return m_Listbox;
            }
        }
    }
}